QGIS Application - Bug report #9045
Font marker symbol not visible in style manager after restarting QGIS
2013-11-11 06:50 AM - Richard Hartley

Status: Closed

Priority: Severe/Regression

Assignee: Jurgen Fischer

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17699
Description

This problem occurs when adding a the following font marker symbols to the Style Manager:
1. Non-standard character from a common font e.g. Character A from the Arial Font (code 0 x 192).
1. After this has been added and QGIS is restarted the character is replaced by a question mark:
1. Character from a custom font e.g. After installing the OCHA-Icons-Bounded.ttf font available from (
https://docs.google.com/file/d/0B1mi3wqgOCiMQTFmbFpHWERpPT28/edit?usp=sharing&#38;pli=1) and adding a Font Marker symbol to
the style manager,
https://docs.google.com/file/d/0B1mi3wqgOCjMQTFmbFpHWERpT28/edit?usp=sharing&#38;pli=1
1. the symbol is no longer visible in the Style Manager after restarting QGIS.
Help

This problem does not occur in v1.8.0.

Associated revisions

Revision 44885511 - 2014-02-12 05:42 PM - Jiirgen Fischer

styles: explictly save symbol XML in UTF-8 (fixes #9045)

History

#1 - 2013-11-11 06:52 AM - Giovanni Manghi
- Target version set to Future Release - High Priority

- Priority changed from High to Severe/Regression

#2 - 2014-02-07 06:15 AM - Martin Dobias

Works for me on linux (either case 1 and 2 work as expected)

#3 - 2014-02-08 05:17 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

- OS version deleted (Vista)
- Target version changed from Future Release - High Priority to Version 2.2
Martin Dobias wrote:

Works for me on linux (either case 1 and 2 work as expected)

Hi Martin, it does not happen on Linux but it does on Windows.

#4 - 2014-02-12 07:48 AM - Jiirgen Fischer
- File arial-nok.png added

- File OCHA-Icons-Bounded.ttf added

- File ocha-ok.png added

- File ocha-nok.png added

- File arial-ok.png added

#5 - 2014-02-12 07:48 AM - Jiirgen Fischer
- File deleted (QGIS_bug_with_font_marker_symbols.doc)

#6 - 2014-02-12 07:52 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#7 - 2014-02-12 08:42 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"44885511ff71b2aa9f5b0648de331430313fd8e2".

Files

arial-nok.png 22.2 KB 2014-02-12 Jurgen Fischer
arial-ok.png 22.3 KB 2014-02-12 Jurgen Fischer
ocha-nok.png 22 KB 2014-02-12 Jurgen Fischer
ocha-ok.png 23 KB 2014-02-12 Jurgen Fischer
OCHA-Icons-Bounded.ttf 72 KB 2014-02-12 Jurgen Fischer
